<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Ip6::ExtensionHeader Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d0/d20/classThread_1_1Ip6_1_1ExtensionHeader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Ip6::ExtensionHeader Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d2/df2/group__core-ipv6.html">IPv6</a> &raquo; <a class="el" href="../../d9/dcf/group__core-ip6-ip6.html">IPv6</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements IPv6 Extension <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and processing.  
 <a href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../db/d51/ip6__headers_8hpp_source.html">src/core/net/ip6_headers.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Ip6::ExtensionHeader:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d82/classThread_1_1Ip6_1_1ExtensionHeader__inherit__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1ExtensionHeader_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Ip6_1_1ExtensionHeader_inherit__map" id="Thread_1_1Ip6_1_1ExtensionHeader_inherit__map">
<area shape="rect" id="node2" href="../../dc/d98/classThread_1_1Ip6_1_1HopByHopHeader.html" title="This class implements IPv6 Hop&#45;by&#45;Hop Options Header generation and parsing. " alt="" coords="5,79,210,104"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a68764e95bf4a7ac8c85463822ae756b8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#a68764e95bf4a7ac8c85463822ae756b8">GetNextHeader</a> () const </td></tr>
<tr class="memdesc:a68764e95bf4a7ac8c85463822ae756b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value.  <a href="#a68764e95bf4a7ac8c85463822ae756b8">More...</a><br /></td></tr>
<tr class="separator:a68764e95bf4a7ac8c85463822ae756b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8eaa0aec6377e9afabfcb0d0d266aea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#af8eaa0aec6377e9afabfcb0d0d266aea">SetNextHeader</a> (<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a> aNextHeader)</td></tr>
<tr class="memdesc:af8eaa0aec6377e9afabfcb0d0d266aea"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value.  <a href="#af8eaa0aec6377e9afabfcb0d0d266aea">More...</a><br /></td></tr>
<tr class="separator:af8eaa0aec6377e9afabfcb0d0d266aea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9494816a3cf63e9bf4c637485f301cf6"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#a9494816a3cf63e9bf4c637485f301cf6">GetLength</a> () const </td></tr>
<tr class="memdesc:a9494816a3cf63e9bf4c637485f301cf6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the IPv6 <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> Extension Length value.  <a href="#a9494816a3cf63e9bf4c637485f301cf6">More...</a><br /></td></tr>
<tr class="separator:a9494816a3cf63e9bf4c637485f301cf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad142621af0b380ab6bfa97726cd25159"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#ad142621af0b380ab6bfa97726cd25159">SetLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:ad142621af0b380ab6bfa97726cd25159"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IPv6 <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> Extension Length value.  <a href="#ad142621af0b380ab6bfa97726cd25159">More...</a><br /></td></tr>
<tr class="separator:ad142621af0b380ab6bfa97726cd25159"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements IPv6 Extension <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and processing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a9494816a3cf63e9bf4c637485f301cf6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t Thread::Ip6::ExtensionHeader::GetLength </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the IPv6 <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> Extension Length value. </p>
<dl class="section return"><dt>Returns</dt><dd>The IPv6 <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> Extension Length value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader_a9494816a3cf63e9bf4c637485f301cf6_icgraph.png" border="0" usemap="#de/df0/classThread_1_1Ip6_1_1ExtensionHeader_a9494816a3cf63e9bf4c637485f301cf6_icgraph" alt=""/></div>
<map name="de/df0/classThread_1_1Ip6_1_1ExtensionHeader_a9494816a3cf63e9bf4c637485f301cf6_icgraph" id="de/df0/classThread_1_1Ip6_1_1ExtensionHeader_a9494816a3cf63e9bf4c637485f301cf6_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="253,145,465,171"/>
<area shape="rect" id="node17" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c" title="This method compresses an IPv6 header. " alt="" coords="1067,227,1239,265"/>
<area shape="rect" id="node3" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="833,49,966,88"/>
<area shape="rect" id="node5" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="556,107,689,145"/>
<area shape="rect" id="node15" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="556,169,689,208"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="513,5,732,31"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2166,73,2322,112"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="780,113,1019,139"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1072,132,1233,171"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1287,165,1451,204"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1499,105,1668,144"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1502,231,1666,269"/>
<area shape="rect" id="node14" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1513,168,1654,207"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1716,112,1897,137"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1945,155,2118,193"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1990,105,2074,131"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a68764e95bf4a7ac8c85463822ae756b8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a> Thread::Ip6::ExtensionHeader::GetNextHeader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </p>
<dl class="section return"><dt>Returns</dt><dd>The IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader_a68764e95bf4a7ac8c85463822ae756b8_icgraph.png" border="0" usemap="#de/df0/classThread_1_1Ip6_1_1ExtensionHeader_a68764e95bf4a7ac8c85463822ae756b8_icgraph" alt=""/></div>
<map name="de/df0/classThread_1_1Ip6_1_1ExtensionHeader_a68764e95bf4a7ac8c85463822ae756b8_icgraph" id="de/df0/classThread_1_1Ip6_1_1ExtensionHeader_a68764e95bf4a7ac8c85463822ae756b8_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="253,145,465,171"/>
<area shape="rect" id="node17" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c" title="This method compresses an IPv6 header. " alt="" coords="1067,227,1239,265"/>
<area shape="rect" id="node3" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="833,49,966,88"/>
<area shape="rect" id="node5" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="556,107,689,145"/>
<area shape="rect" id="node15" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="556,169,689,208"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="513,5,732,31"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2166,73,2322,112"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="780,113,1019,139"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1072,132,1233,171"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1287,165,1451,204"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1499,105,1668,144"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1502,231,1666,269"/>
<area shape="rect" id="node14" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1513,168,1654,207"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1716,112,1897,137"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1945,155,2118,193"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1990,105,2074,131"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad142621af0b380ab6bfa97726cd25159"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::ExtensionHeader::SetLength </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aLength</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IPv6 <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> Extension Length value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aLength</td><td>The IPv6 <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> Extension Length value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader_ad142621af0b380ab6bfa97726cd25159_icgraph.png" border="0" usemap="#de/df0/classThread_1_1Ip6_1_1ExtensionHeader_ad142621af0b380ab6bfa97726cd25159_icgraph" alt=""/></div>
<map name="de/df0/classThread_1_1Ip6_1_1ExtensionHeader_ad142621af0b380ab6bfa97726cd25159_icgraph" id="de/df0/classThread_1_1Ip6_1_1ExtensionHeader_ad142621af0b380ab6bfa97726cd25159_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a8a27760878c9ad9932e3f59bc651c826" title="This method sets whether or not Thread control traffic is filtered out when delivering IPv6 datagrams..." alt="" coords="253,5,444,44"/>
<area shape="rect" id="node3" href="../../db/de8/group__ip6.html#ga17d9c1c306a1ad33d12e4a15a09c13d7" title="This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagra..." alt="" coords="492,5,699,44"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="747,5,939,44"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="987,5,1181,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="af8eaa0aec6377e9afabfcb0d0d266aea"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::ExtensionHeader::SetNextHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a>&#160;</td>
          <td class="paramname"><em>aNextHeader</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aNextHeader</td><td>The IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader_af8eaa0aec6377e9afabfcb0d0d266aea_icgraph.png" border="0" usemap="#de/df0/classThread_1_1Ip6_1_1ExtensionHeader_af8eaa0aec6377e9afabfcb0d0d266aea_icgraph" alt=""/></div>
<map name="de/df0/classThread_1_1Ip6_1_1ExtensionHeader_af8eaa0aec6377e9afabfcb0d0d266aea_icgraph" id="de/df0/classThread_1_1Ip6_1_1ExtensionHeader_af8eaa0aec6377e9afabfcb0d0d266aea_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a8a27760878c9ad9932e3f59bc651c826" title="This method sets whether or not Thread control traffic is filtered out when delivering IPv6 datagrams..." alt="" coords="253,5,444,44"/>
<area shape="rect" id="node3" href="../../db/de8/group__ip6.html#ga17d9c1c306a1ad33d12e4a15a09c13d7" title="This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagra..." alt="" coords="492,5,699,44"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="747,5,939,44"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="987,5,1181,44"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/net/<a class="el" href="../../db/d51/ip6__headers_8hpp_source.html">ip6_headers.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Ip6</a></li><li class="navelem"><a class="el" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html">ExtensionHeader</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
